<!--
 * @Description: 点击条目查看详情
 * @Author: @liulin
 * @Date: 2023-04-10 16:34:21
 * @LastEditors: Do not edit
 * @LastEditTime: 2023-04-10 17:24:43
-->
<template>
    <div class="content">
        <div class="content-top">
            <span>撰稿人：{{ data.drafter }}</span>
            <span>时间：{{ data.createTime }}</span>
        </div>
        <div
            :element-loading-background="loadingColor"
            v-loading="loading"
            v-html="data.content"
            class="content-main"
        ></div>
    </div>
</template>

<script>
import req from '@/request.js'
const portal = window.context.portal
export default {
    name: 'contentDialog',
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            data: {},
        }
    },
    mounted() {
        let {id} = this.tableOptions
        this.loadData(id)
    },
    methods: {
        loadData(id) {
            this.loading = true
            let api = `/fill/bizWorkNews/v1/findById`
            let formData = new FormData()
            formData.append('id', id)
            req.post(portal + api, formData)
                .then((res) => {
                    this.data = (res && res.data) || {}
                    this.loading = false
                })
                .catch(() => {
                    this.loading = false
                })
        },
    },
}
</script>

<style lang="scss" scoped>
.content {
	display: flex;
	flex-direction: column;
	 /* prettier-ignore */
	row-gap: 20PX;
}
.content-top {
	display: flex;
	justify-content: space-between;
	margin: 0 40px;
	span {
		/* prettier-ignore */
		font-size: 16PX;
		color: #d7f1ff;
	}
}
.content-main {
    height: 70vh;
    color: #d7f1ff;
    overflow: auto;
    /deep/ img{
        max-width: 100%;
    }
}
* {
  line-height: 24px;
  font-family: SimHei;
}
/* 设置滚动条的样式 */
    ::-webkit-scrollbar {
        width: 8px !important; //垂直方向上的宽
        height: 8px !important; //水平方向上的宽
    }
    
    /* 滚动槽 */
    ::-webkit-scrollbar-track {
        border-radius: 0 !important;
        background-color: #01215a !important;
    }
    
    /* 滚动条滑块 */
    ::-webkit-scrollbar-thumb {
        border-radius: 6px !important;
        background-color: rgba(#fff, 0.1) !important;
    }
    /*滚动条交叉样式*/
    ::-webkit-scrollbar-corner {
        background: #01215a !important;
    }
</style>
